import {
	WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/hrm/usekind/getHasRight', 'GET', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/usekind/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/usekind/edit', 'POST', params);
}

export const deleteRows = (params) => {
	return WeaTools.callApi('/api/hrm/usekind/delete', 'POST', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/usekind/getSearchCondition', 'GET', params);
}

export const getSearchList = (params) => {
	return WeaTools.callApi('/api/hrm/usekind/getSearchList', 'GET', params);
}

export const getNeForm = (params) => {
	return WeaTools.callApi('/api/hrm/usekind/getUseKindForm?is_multilang_set=true', 'GET', params);
}